import Link from "next/link";
import Image from "next/image";
import {RecentPostData} from "@/app/Data/data";
import {getTranslations} from "next-intl/server";

export default async function NewDetailsWriter(props) {
    const t = await getTranslations("news")
    return (
        <div className={props.className}>
            <div className="sticky top-20">
                <h5 className="text-lg font-semibold bg-gray-50 dark:bg-slate-800 shadow dark:shadow-gray-800 rounded-md p-2 text-center  ">{t("recentPosts")}</h5>
                <div className="flex flex-col gap-3 mt-8">
                    {RecentPostData.map((data, index) => {
                        return (
                            <div className="flex " key={index}>
                                <Image src={data.Image} width={96} height={64}
                                       className="h-16 rounded-md shadow dark:shadow-gray-800" alt=""/>

                                <div className="ms-3">
                                    <Link href={`/News/New-details/${data.id}`}
                                          className="font-semibold hover:text-main">{data.Title}</Link>
                                    <p className="text-sm text-slate-400">{data.Date}</p>
                                </div>
                            </div>
                        )
                    })}
                </div>
            </div>
        </div>
    )
}