import * as Icon from "react-feather";

export default function ServiceCard({title, description, icon, withMargin = false}) {
    return (
        <div
            className={`group relative hover:bg-white dark:hover:bg-slate-900 hover:shadow dark:hover:shadow-gray-800 p-6 transition duration-500 ease-in-out rounded-xl overflow-hidden text-center h-fit ${withMargin ? "md:mt-16" : ""}`}>
            <div className="relative overflow-hidden text-transparent -m-3">
                <Icon.Hexagon
                    className="size-28 fill-main/5 dark:fill-white/5 mx-auto rotate-[30deg]"></Icon.Hexagon>
                <div
                    className="absolute top-2/4 -translate-y-2/4 start-0 end-0 mx-auto text-main dark:text-white rounded-xl transition duration-500 ease-in-out text-3xl flex align-middle justify-center items-center">
                    {icon}
                </div>
            </div>
            <div className="mt-6">
                <h3
                    className="text-xl font-medium hover:text-main duration-500 ease-in-out">{title}</h3>
                <p className="text-slate-400 transition duration-500 ease-in-out mt-3">If the
                    {description}</p>
            </div>
        </div>
    )
}