import "../../app/assets/scss/tailwind.scss";
import "../assets/css/material.css";
import Navbar from "@/app/components/Navbar/navbar";
import Footer from "@/app/components/Footer/footer";
import Switcher from "@/app/components/switcher";
import {ApiConfig, handleApiRequest} from "@/app/services/apiConfig";

export default async function RootLayout({children}) {
    const data = await handleApiRequest(ApiConfig.endpoints.getSiteSettings);
    const logo = data?.site_data?.header?.logo
    const footer = data?.site_data?.footer;
    return (
        <>
            <Navbar logo={logo}/>
            {children}
            <Footer footer={footer}/>
            <Switcher/>
        </>
    );
}
