import {ContactUsForm} from "@/app/(pages)/Contact-us/components/contactUsForm";
import {getTranslations} from "next-intl/server";

export default async function ContactUs({data}) {
    const t = await getTranslations('contactUs')
    return (
        <section
            className='relative md:py-24 py-16 bg-no-repeat bg-fixed bg-top bg-cover md:px-0 px-10 mb-0'
            id='table'
            style={{backgroundImage: `url(${data?.background_image||'/images/course/cta.jpg'})`}}
        >
            <div className='absolute inset-0 bg-black/50'></div>
            <div className='container relative'>
                <div className='grid lg:grid-cols-12 md:grid-cols-2 items-center gap-[30px]'>
                    <div className='lg:col-span-7'>
                        <h4 className='font-semibold lg:leading-normal leading-normal text-3xl lg:text-4xl mb-5 text-white'>
                            {data?.title||"Contact us!"}
                        </h4>

                        <p className='text-white/70 text-lg max-w-xl'>
                            {data?.description||"Contact us for more information about our services and products."}
                        </p>
                    </div>

                    <div className='lg:col-span-5'>
                        <div
                            className='bg-white dark:bg-slate-900 rounded-xl shadow dark:shadow-gray-800 md:p-8 p-6 lg:ms-10 z-10 relative'>
                            <h4 className='mb-5 text-2xl font-semibold'>
                                {t("fillYourDetails")}
                            </h4>

                            <ContactUsForm/>
                        </div>
                    </div>
                </div>
            </div>
        </section>
    )
}