"use client"
import React from "react"

import {CarouselProvider, Slider, Slide} from 'pure-react-carousel';
import 'pure-react-carousel/dist/react-carousel.es.css';

export default function HomeSlider({data}) {
    return (
        <section className="relative">
            <CarouselProvider
                naturalSlideWidth={100}
                naturalSlideHeight={55}
                totalSlides={3}
                interval={5000}
                isPlaying={true}
                className='h-screen'
            >
                <Slider className='h-full careHeight'>
                    {data?.map((item,index)=>(
                        <Slide index={index} key={index} className='h-screen'>
                        <div
                            className="flex items-center justify-center transition-all duration-700 ease-in-out h-full overflow-hidden">
                            <div className="absolute inset-0 image-wrap z-1 bg-no-repeat bg-center bg-cover h-screen "
                                 style={{backgroundImage: `url(${item?.slide_image||"/images/utility.jpg"})`}}></div>
                            <div
                                className="absolute inset-0 md:bg-gradient-to-b md:from-transparent md:to-black md:bg-black/20 bg-black/70 z-2 h-screen"></div>
                            <div className="container relative z-3 flex items-center ">
                                <div className="grid grid-cols-1 md:mt-10 mt-14">
                                    <div className="md:text-start text-center">
                                        <h1 className="font-bold text-white lg:leading-normal leading-normal text-4xl lg:text-5xl md:mb-6 mb-2">
                                            {item?.title||""}</h1>
                                        <p className="text-white/70 text-lg max-w-xl">{item?.description||""}</p>

                                        {/*<div className="md:mt-8 mt-4">*/}
                                        {/*    <Link href="/Contact-us"*/}
                                        {/*          className="py-2 px-5 inline-block font-semibold tracking-wide border align-middle duration-500 text-base text-center bg-main hover:bg-main-hover border-main hover:border-main-hover text-white rounded-md">Contact*/}
                                        {/*        us</Link>*/}
                                        {/*</div>*/}
                                    </div>
                                </div>
                            </div>
                        </div>
                    </Slide>
                    ))}

                </Slider>
            </CarouselProvider>
        </section>
    )
}