"use client"
import {useLocale, useTranslations} from "next-intl";
import {setUserLocale} from "@/services/locale";
import {useTransition} from "react";
import {usePathname} from "next/navigation";

export const LanguageSwitcher = ({navClass}) => {
    const t = useTranslations();
    const [isPending, startTransition] = useTransition();
    const local = useLocale();
    let pathname = usePathname();

    function getNavClassName() {
        if (['/Contact-us', '/Services', '/Careers', '/News', '/About-us'].includes("/" + pathname.split("/")[1])) return 'nav-light'
    }

    const changeLang = (e) => {
        startTransition(() => {
            setUserLocale(e.target.value);
            localStorage.setItem("locale", e.target.value);
        });

    }
    return (
        <div className={`lg:absolute  top-1/4 bottom-1/2  ${local.lang === "ar" ? "left-0" : "right-0"}`}>
            <label className={`font-semibold hidden`}></label>
            <select
                className={` sm:w-full sm:border-none form-select form-input font-[600] ${navClass === "nav-light" ? 'text-white' : ""}  text-[17px] sub-menu-item py-2 px-5 h-10  dark:bg-slate-900 dark:text-slate-200 bg-transparent rounded outline-none border border-gray-200 focus:border-main dark:border-gray-800 dark:focus:border-main focus:ring-0 ${isPending && ' pointer-events-none opacity-60'}`}
                onChange={changeLang}
                value={local.lang}
            >
                <option defaultChecked={local === "en"} value={"en"}>{t('en')}</option>
                <option defaultChecked={local === "ar"} value={"ar"}>{t("ar")}</option>
            </select>
        </div>
    )
}