import Link from "next/link";
import Image from "next/image";
import {useRouter} from "next/navigation";

export default function ProductCard({item, type}) {
    const router = useRouter()
    return (
        <div className="group">

            <div
                onClick={() => router.push(`/Products/${type}/Product-details/${item?.id}`)}
                className="relative overflow-hidden shadow dark:shadow-gray-800 group-hover:shadow-lg group-hover:dark:shadow-gray-800 rounded-md transition-all duration-500 cursor-pointer">
                <Image src={item?.mainImage || '/images/no-image.jpg'} alt="" width={0} height={0} sizes='100vw'
                       unoptimized={true}
                       className={"object-cover"}
                       style={{width: "100%", height: "300px"}}/>


                {item?.tag ? <ul className="list-none absolute top-[10px] start-4">
                    <li><Link href="#"
                              className={`${item?.tagBg} text-white text-[10px] font-bold px-2.5 py-0.5 rounded h-5`}>{item?.tag}</Link>
                    </li>
                </ul> : ""}

            </div>


            <div className="mt-4">
                <Link href={`/Products/${type}/Product-details/${item?.id}`}
                      className="hover:text-main text-lg font-semibold">{item?.title}</Link>
                {/*<div className="flex justify-between items-center mt-1">*/}
                {/*    <p className="text-green-600">{item.descAmount}*/}
                {/*        <del className="text-red-600">{item.amount}</del>*/}
                {/*    </p>*/}
                {/*    <ul className="font-medium text-amber-400 list-none">*/}
                {/*        {stars > 0 && Array.from(Array(stars).keys()).map((_item, index) => (*/}
                {/*            <li className="inline" key={index}><i className="mdi mdi-star"></i></li>*/}
                {/*        ))}*/}
                {/*    </ul>*/}
                {/*</div>*/}
            </div>
        </div>
    )
}