import Link from "next/link";
import Image from "next/image";
import {FaArrowRight} from "react-icons/fa";

export default function Products({data}) {

    return (
        <div className="container relative md:mt-24 mt-16 md:px-10">
            <div className="grid md:grid-cols-12 grid-cols-1 pb-8 items-end">
                <div className="lg:col-span-8 md:col-span-6 md:text-start text-center">
                    <h3 className="mb-4 md:text-3xl md:leading-normal text-2xl leading-normal font-semibold">{data?.title || "product"}</h3>
                    <p className="text-slate-400 max-w-xl">{data?.description || "please check our latest products"}</p>
                </div>

                {/*<div className="lg:col-span-4 md:col-span-6 md:text-end hidden md:block">*/}
                {/*    <Link href="/Products/Veterinary"*/}
                {/*          className="relative inline-flex items-center font-semibold tracking-wide align-middle text-base text-center border-none after:content-[''] after:absolute after:h-px after:w-0 hover:after:w-full after:end-0 hover:after:end-auto after:bottom-0 after:start-0 after:transition-all after:duration-500 text-slate-400 hover:text-main after:bg-main duration-500 ease-in-out">See*/}
                {/*        More <FaArrowRight className="ms-2 text-[10px]"/></Link>*/}
                {/*</div>*/}
            </div>

            <div
                className="grid xl:grid-cols-4 lg:grid-cols-3 md:grid-cols-3 sm:grid-cols-2 grid-cols-1 mt-8 gap-[30px] md:px-0 px-20">
                {data?.products.map((item, index) => {
                    return (
                        <div className="group" key={index}>
                            <div className="relative overflow-hidden shadow dark:shadow-gray-800">
                                <Link href={`/Products/${item?.type?.name}/Product-details/${item?.id}`}>
                                    <Image width={0} height={0}
                                           unoptimized={true}
                                           src={item?.mainImage || "/images/i3.jpg"}
                                           style={{width: "100%", height: "auto"}}
                                           className="group-hover:scale-105 transition-all duration-500 h-[300px] w-full object-contain"
                                           alt="product image"/>
                                </Link>
                            </div>

                            <div className="p-4 pb-0 text-center">
                                <Link href={`/Products/${item?.type?.name}/Product-details/${item?.id}`}
                                      className="text-lg font-semibold hover:text-main">{item?.title || "product"}</Link>


                            </div>
                        </div>
                    )
                })}
            </div>
            {/*<div className="grid md:grid-cols-12 grid-cols-1 md:hidden mt-8">*/}
            {/*    <div className="md:col-span-12 text-center">*/}
            {/*        <Link href="#"*/}
            {/*              className="relative inline-flex items-center font-semibold tracking-wide align-middle text-base text-center border-none after:content-[''] after:absolute after:h-px after:w-0 hover:after:w-full after:end-0 hover:after:end-auto after:bottom-0 after:start-0 after:transition-all after:duration-500 text-slate-400 hover:text-main after:bg-main duration-500 ease-in-out">See*/}
            {/*            More <FaArrowRight className="ms-2 text-[10px]"/></Link>*/}
            {/*    </div>*/}
            {/*</div>*/}
        </div>
    )
}