import {FaFacebookF, FaInstagram, FaLinkedin, FaRegEnvelope} from "react-icons/fa";
import SocialMediaBox from "@/app/components/socialMedia/socialMediaBox";

export default function SocialMedia({isLight = true, links}) {
    return (
        <ul className='list-none mt-5 space-x-1 space-y-1'>


            <li className='inline'>
                <SocialMediaBox href={links?.linkedin || 'https://linkedin.com/company/technex'} isLight={isLight}
                                icon={<FaLinkedin className='text-sm'/>}/>
            </li>
            <li className='inline'>
                <SocialMediaBox href={links?.facebook || 'https://www.facebook.com/technex'} isLight={isLight}
                                icon={<FaFacebookF className='text-sm'/>}/>
            </li>
            <li className='inline'>
                <SocialMediaBox href={links?.instagram || 'https://www.instagram.com/technex'} isLight={isLight}
                                icon={<FaInstagram className='text-sm'/>}/>
            </li>
            <li className='inline'>
                <SocialMediaBox href={`mailto:${links?.email || 'info@technex-eg.com'}`} isLight={isLight}
                                icon={<FaRegEnvelope className='text-sm'/>}/>

            </li>

        </ul>
    )
}