import {createSlice} from '@reduxjs/toolkit'

const initialState = {
    theme: {
        mode: "light",
        layout: "ltr",
    }
}

export const counterSlice = createSlice({
    name: 'theme',
    initialState,
    reducers: {
        setMode: (state, action) => {
            state.theme.mode = action.payload
        },
        setLayout: (state, action) => {
            state.theme.layout = action.payload
        }
    }
})

export const {setMode, setLayout} = counterSlice.actions

export default counterSlice.reducer