import React from "react";
import HomeSlider from "@/app/components/homeSlider/homeSlider";
import KnowUs from "@/app/components/knowUs/knowUs";
import Products from "@/app/components/products/products";
import Services from "@/app/components/services/services";
import ContactUs from "@/app/components/contactUs/contactUs";
import Footer from "@/app/components/Footer/footer";
import Switcher from "@/app/components/switcher";
import Navbar from "@/app/components/Navbar/navbar";
import {ApiConfig, handleApiRequest} from "@/app/services/apiConfig";


export default async function Home() {
    const home = await handleApiRequest(ApiConfig.endpoints.getHome);
    const data = await handleApiRequest(ApiConfig.endpoints.getSiteSettings);
    const logo = data?.site_data?.header?.logo
    const footer = data?.site_data?.footer;

    return (
        <>
            <Navbar logo={logo}/>
            <HomeSlider data={home?.page_hero}/>
            <KnowUs data={home?.about_us_section}/>
            <Products data={home?.products_section}/>
            <Services data={home?.services_section}/>
            <ContactUs data={home?.contact_us_section}/>
            <Footer footer={footer}/>
            <Switcher/>
        </>
    );
}
